package com.zhongzheng.modules.course.service;

import com.zhongzheng.modules.course.domain.MajorLabel;
import com.zhongzheng.modules.course.vo.MajorLabelVo;
import com.zhongzheng.modules.course.bo.MajorLabelQueryBo;
import com.zhongzheng.modules.course.bo.MajorLabelAddBo;
import com.zhongzheng.modules.course.bo.MajorLabelEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 标签Service接口
 *
 * @author ruoyi
 * @date 2021-10-09
 */
public interface IMajorLabelService extends IService<MajorLabel> {
	/**
	 * 查询单个
	 * @return
	 */
	MajorLabelVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<MajorLabelVo> queryList(MajorLabelQueryBo bo);

	/**
	 * 根据新增业务对象插入标签
	 * @param bo 标签新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(MajorLabelAddBo bo);

	/**
	 * 根据编辑业务对象修改标签
	 * @param bo 标签编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(MajorLabelEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	List<MajorLabelVo> listMajor(MajorLabelQueryBo bo);

	boolean editMajor(MajorLabelEditBo bo);
}
